## pkg-create-dbgsym 0.64

=== debian/changelog ===
pkg-create-dbgsym (0.64) trusty; urgency=medium

  * Read the substvars file when we generate DEBIAN/control.
  * Add a test for the description field.
  * Use `set -e' in maintainer scripts.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 07 Mar 2014 16:12:12 +0000

pkg-create-dbgsym (0.63) trusty; urgency=medium

  * Add some debug messages, thanks to Simon McVittie!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Feb 2014 11:41:16 +0100

=== tests/dhtest.dbg.empty/debian/changelog ===
dhtest.dbg.empty (2) foo; urgency=low

  * Initial release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 16 Jun 2006 10:49:56 +0200

=== tests/dhtest.noargs/debian/changelog ===
dhtest.noargs (3.14) foo; urgency=low

  * Initial release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 16 Jun 2006 10:49:56 +0200

=== debian/control ===
Source: pkg-create-dbgsym
Section: devel
Priority: extra
# cdbs is used in the testsuite
Build-Depends: debhelper (>= 7.0.50~),
               gdb,
               cdbs
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Standards-Version: 3.9.4
Build-Conflicts: pkgbinarymangler (<< 66~)

Package: pkg-create-dbgsym
Architecture: all
Depends: ${misc:Depends}
Description: automatically build debug symbol ddeb packages
 pkg_create_dbgsym builds a debug symbol ddeb for a given package in a
 built source tree and adds it to debian/files.
 .
 This package diverts and wraps debhelper's dh_strip. It automatically
 calls pkg_create_dbgsym for all packages dh_strip is asked to act on.
 As a result, by merely installing this package on buildds, all
 packages will automatically get ddebs built.

=== tests/dhtest.compat1/debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	$(MAKE)
	touch build-arch-stamp

build-indep:

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp
	-$(MAKE) clean
	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s
	install -D -m 755 crash debian/tmp/usr/bin/crash
	install -D -m 755 crash2 debian/dhtest2/usr/bin/crash2

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_strip
	dh_compress 
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

=== tests/dhtest.compatenvvar/debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_COMPAT=3

# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	$(MAKE)
	touch build-arch-stamp

build-indep:

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp
	-$(MAKE) clean
	dh_clean 

install: install-arch

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s
	$(MAKE) install DESTDIR=$(CURDIR)/debian/dhtest1

	# install hardlink
	ln debian/dhtest1/usr/bin/crash debian/dhtest1/usr/bin/crashl

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_strip
	dh_compress 
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

=== tests/dhtest.dbg3/debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	$(MAKE)
	touch build-arch-stamp

build-indep:

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp
	-$(MAKE) clean
	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i
	dh_install -i --sourcedir=debian/tmp

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_install -s --sourcedir=debian/tmp

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:

# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs  -i
	dh_installdocs -i
	dh_strip -i
	dh_compress  -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs  -a
	dh_installdocs -a
	dh_strip -a --dbg-package dhtest1-dbg
	dh_compress  -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

=== tests/dhtest.doublestrip/debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	$(MAKE)
	touch build-arch-stamp

build-indep:

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp
	-$(MAKE) clean
	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i
	dh_install -i --sourcedir=debian/tmp

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_install -s --sourcedir=debian/tmp

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_strip
	# strip them again, checks that this doesn't break
	dh_strip
	dh_compress 
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -u'-Vfoo=1 -Vbar=lsb'
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

=== tests/dhtest.tmpdirarg/debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-arch
build-arch: build-arch-stamp
build-arch-stamp:
	$(MAKE)
	touch build-arch-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp
	-$(MAKE) clean
	dh_clean -Pdebian/build/pkgdir
	rmdir debian/build 2>/dev/null || true

install: install-arch

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s -Pdebian/build/pkgdir
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_install -s -Pdebian/build/pkgdir --sourcedir=debian/tmp

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	dh_testdir -a -Pdebian/build/pkgdir
	dh_testroot -a -Pdebian/build/pkgdir
	dh_installchangelogs -a -Pdebian/build/pkgdir
	dh_installdocs -a -Pdebian/build/pkgdir
	dh_strip -a -Pdebian/build/pkgdir
	dh_compress  -a -Pdebian/build/pkgdir
	dh_fixperms -a -Pdebian/build/pkgdir
	dh_installdeb -a -Pdebian/build/pkgdir
	dh_shlibdeps -a -Pdebian/build/pkgdir
	dh_gencontrol -a -Pdebian/build/pkgdir
	dh_md5sums -a -Pdebian/build/pkgdir
	dh_builddeb -a -Pdebian/build/pkgdir

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

=== tests/dhtest.archspecific/debian/control ===
Source: dhtest.archspecific
Section: utils
Priority: extra
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Build-Depends: debhelper (>= 4.1.0)
Standards-Version: 3.7.2

Package: dhtest-i386
Architecture: i386
Depends: ${shlibs:Depends}
Description: crash with a SIGSEGV
 Test package

Package: dhtest64
Architecture: amd64 sparc64
Depends: ${shlibs:Depends}
Description: crash with a SIGFPE
 Test package

Package: dhtest-ppc
Architecture: powerpc
Depends: ${shlibs:Depends}
Description: crash with a SIGSEGV
 Test package

Package: dhtest-bsd
Architecture: kfreebsd-i386 kfreebsd-amd64
Depends: ${shlibs:Depends}
Description: crash with a SIGSEGV
 Test package

Package: dhtest-linux-any
Architecture: linux-any
Depends: ${shlibs:Depends}
Description: crash with a SIGSEGV
 Test package

=== tests/dhtest.compat1override/debian/control ===
Source: dhtest.compat1override
Section: utils
Priority: extra
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Build-Depends: debhelper (>= 4.1.0)
Standards-Version: 3.7.2

Package: dhtest1
Architecture: any
Depends: ${shlibs:Depends}
Description: crash with a SIGSEGV
 Test package

Package: dhtest2
Architecture: any
Depends: ${shlibs:Depends}
Description: crash with a SIGFPE
 Test package

Package: dhtestall
Architecture: all
Depends: ${shlibs:Depends}
Description: dummy arch-all package
 Test package

=== tests/dhtest.doublestrip/debian/control ===
Source: dhtest.doublestrip
Section: utils
Priority: extra
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Build-Depends: debhelper (>= 4.1.0)
Standards-Version: 3.7.2

Package: dhtest1
Architecture: any
Depends: ${shlibs:Depends}, coreutils (>> ${foo})
Description: crash with a SIGSEGV
 Test package

Package: dhtest2
Architecture: any
Depends: ${shlibs:Depends}
Description: crash with a SIGFPE
 Test package

=== tests/dhtest.nostrip/debian/control ===
Source: dhtest.nostrip
Section: utils
Priority: extra
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Build-Depends: debhelper (>= 4.1.0)
Standards-Version: 3.7.2

Package: dhtest1
Architecture: any
Depends: ${shlibs:Depends}, coreutils (>> ${foo})
Recommends: dhtest2 (>> ${foo})
Suggests: dhtestall (>= ${foo}), ${bar}-core
Conflicts: dhtestall (<< ${foo})
Replaces: dhtestall (<< ${foo})
Breaks: dhtestall (<< ${foo})
Description: crash with a SIGSEGV
 Test package

Package: dhtest2-nostrip
Architecture: any
Depends: ${shlibs:Depends}
Description: crash with a SIGFPE
 Test package

Package: dhtestall
Architecture: all
Depends: ${shlibs:Depends}
Description: dummy arch-all package
 Test package

=== tests/dhtest.pydbg/debian/control ===
Source: dhtest.pydbg
Section: utils
Priority: extra
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Build-Depends: debhelper (>= 4.1.0)
Standards-Version: 3.7.2

Package: dhtest1
Architecture: any
Depends: ${shlibs:Depends}
Description: crash with a SIGSEGV
 Test package

Package: python-dhtest
Architecture: any
Depends: python, dhtest1
Description: dhtest python bindings
 Test package (python bindings)

Package: python-dhtest-dbg
Architecture: any
Depends: python, dhtest1
Description: dhtest python bindings (debug variant)
 Test package (python bindings, debug variant)

=== tests/dhtest.samename/debian/control ===
Source: dhtest.samename
Section: utils
Priority: extra
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Build-Depends: debhelper (>= 4.1.0)
Standards-Version: 3.7.2

Package: dhtest
Architecture: any
Depends: ${shlibs:Depends}, coreutils (>> ${foo})
Recommends: dhtest.samename (>> ${foo})
Suggests: dhtestall (>= ${foo}), ${bar}-core
Conflicts: dhtestall (<< ${foo})
Replaces: dhtestall (<< ${foo})
Breaks: dhtestall (<< ${foo})
Description: crash with a SIGSEGV
 Test package

Package: dhtest.samename
Architecture: any
Depends: ${shlibs:Depends}
Description: crash with a SIGFPE
 Test package

Package: dhtestall
Architecture: all
Depends: ${shlibs:Depends}
Description: dummy arch-all package
 Test package

=== tests/dhtest.versionoverride/debian/control ===
Source: dhtest.versionoverride
Section: utils
Priority: extra
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Build-Depends: debhelper (>= 4.1.0)
Standards-Version: 3.7.2

Package: dhtest1
Architecture: any
Depends: ${shlibs:Depends}
Description: crash with a SIGSEGV
 Test package

Package: dhtest2
Architecture: any
Depends: ${shlibs:Depends}
Description: crash with a SIGFPE
 Test package

## pkg-create-dbgsym 0.65

=== debian/changelog ===
pkg-create-dbgsym (0.65) utopic; urgency=medium

  * Check each element of Architecture separately using dpkg-architecture,
    rather than inaccurately checking the whole field for "any" or
    "linux-any".

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Jul 2014 22:10:31 +0100

## pkg-create-dbgsym 0.67~trusty

=== tests/dhtest.nostrip/Makefile ===
CFLAGS= -g -Wall -W -O0

LIBNAME=crashrep

all: crash crash2

crash: crash.o
	$(CC) $^ -o $@

crash2: crash2.o
	$(CC) $^ -o $@

clean:
	rm -f *.o crash crash2

install: all
	install -d $(DESTDIR)/usr/bin
	install crash crash2 $(DESTDIR)/usr/bin
	cp -a $(DESTDIR)/usr/bin/crash2 $(DESTDIR)/usr/bin/crash3

=== tests/manualtest/Makefile ===
CFLAGS= -g -Wall -W -O0

LIBNAME=crashrep

all: crash crash2

crash: crash.o
	$(CC) $^ -o $@

crash2: crash2.o
	$(CC) $^ -o $@

clean:
	rm -f *.o crash crash2

install: all
	install -d $(DESTDIR)/usr/bin
	install crash crash2 $(DESTDIR)/usr/bin

=== debian/changelog ===
pkg-create-dbgsym (0.67~trusty) trusty; urgency=medium

  * Backport to trusty.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 30 Apr 2015 16:12:16 +0200

pkg-create-dbgsym (0.67) vivid; urgency=medium

  * testsuite: Add dhtest.customdbgsym for a package that produces its own
    -dbgsym package, like our "linux" source package. Reproduces LP #1450464.
  * pkg_create_dbgsym: When called with -B (i. e. from dh_strip), create a
    marker for dh_gencontrol, so that the latter does not try to process
    custom -dbgsym binaries. (LP: #1450464)
  * dh_strip: Don't try to process *-dbgsym binaries.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 30 Apr 2015 16:12:05 +0200

pkg-create-dbgsym (0.66) vivid; urgency=medium

  * testsuite: Enable dhtest.versionoverride, and verify that ddeb has exact
    same version as the corresponding deb. Reproduces LP #1448247.
  * testsuite: Add "manualtest" which builds a package without debhelper or
    any other abstractions, and calls pkg_create_dbgsym directly.
  * pkg_create_dbgsym: Add -B option for only building the ddeb package dir in
    debian/ but not building the .ddeb package yet. This keeps the default
    behaviour for packages which call this manually, but allows us to modify
    the ddeb package directory later during the package build process.
  * Handle binary packages with different version than the source:
    - Add our own dh_gencontrol wrapper which adjusts the ddeb's versions
      after the original dh_gencontrol determined the final binary version of
      the original debs, and then builds the .ddebs.
    - dh_strip: Call pkg_create_dbgsym with -B, so that we move the actual
      .ddeb generation into dh_gencontrol.
    - preinst, postrm: Divert dh_gencontrol.
    - LP: #1448247
  * debian/control: Drop obsolete (pre-lucid) Build-Conflicts.
  * Bump Standards-Version to 3.9.6 (no changes required).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 28 Apr 2015 16:05:41 +0200

=== tests/dhtest.archspecific/debian/changelog ===
dhtest.archspecific (1) foo; urgency=low

  * Initial release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 15 Aug 2006 17:14:42 +0200

=== tests/dhtest.compat1/debian/changelog ===
dhtest.compat1 (2:3.4) foo; urgency=low

  * Initial release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 16 Jun 2006 10:49:56 +0200

=== tests/dhtest.compatenvvar/debian/changelog ===
dhtest.compatenvvar (1:2.3-1) foo; urgency=low

  * Initial release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 16 Jun 2006 10:49:56 +0200

=== tests/dhtest.customdbgsym/debian/changelog ===
dhtest.customdbgsym (1:2.3-1) foo; urgency=low

  * Initial release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 16 Jun 2006 10:49:56 +0200

=== tests/dhtest/debian/changelog ===
dhtest (1:2.3-1) foo; urgency=low

  * Initial release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 16 Jun 2006 10:49:56 +0200

=== debian/control ===
Source: pkg-create-dbgsym
Section: devel
Priority: extra
# cdbs is used in the testsuite
Build-Depends: debhelper (>= 7.0.50~),
               gdb,
               cdbs
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Standards-Version: 3.9.6

Package: pkg-create-dbgsym
Architecture: all
Depends: ${misc:Depends}
Description: automatically build debug symbol ddeb packages
 pkg_create_dbgsym builds a debug symbol ddeb for a given package in a
 built source tree and adds it to debian/files.
 .
 This package diverts and wraps debhelper's dh_strip and dh_gencontrol. It
 automatically calls pkg_create_dbgsym for all packages dh_strip is asked to
 act on.  As a result, by merely installing this package on buildds, all
 packages will automatically get ddebs built.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_clean:
	if [ -d testsuite.tmp ] || [ -d tests/testsuite.tmp ]; then \
	    echo "testsuite.tmp or tests/testsuite.tmp still exists, please clean up and check test suite"; \
	    exit 1; \
	fi
	dh_auto_clean

override_dh_auto_test:
	tests/run

%:
	dh $*

=== tests/cdbstest/debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

CFLAGS := -O0 -g

DEB_DH_INSTALL_SOURCEDIR=debian/tmp
DEB_MAKE_BUILD_TARGET=all
DEB_MAKE_CLEAN_TARGET=clean
DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR)

=== tests/dhtest.archspecific/debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	$(MAKE)
	touch build-arch-stamp

build-indep:

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp
	-$(MAKE) clean
	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i
	dh_install -i --sourcedir=debian/tmp

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_install -s --sourcedir=debian/tmp

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_strip
	dh_compress 
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

=== tests/dhtest.compat1override/debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export DH_COMPAT=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	$(MAKE)
	touch build-arch-stamp

build-indep:

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp
	-$(MAKE) clean
	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s
	install -D -m 755 crash debian/tmp/usr/bin/crash
	install -D -m 755 crash2 debian/dhtest2/usr/bin/crash2

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_strip
	dh_compress 
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

=== tests/dhtest.dbg.empty/debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	$(MAKE)
	touch build-arch-stamp

build-indep:

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp
	-$(MAKE) clean
	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i
	dh_install -i --sourcedir=debian/tmp

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_install -s --sourcedir=debian/tmp

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:

# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs  -i
	dh_installdocs -i
	dh_strip -i
	dh_compress  -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs  -a
	dh_installdocs -a
	dh_strip
	dh_compress  -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

=== tests/dhtest.dbg2/debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	$(MAKE)
	touch build-arch-stamp

build-indep:

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp
	-$(MAKE) clean
	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i
	dh_install -i --sourcedir=debian/tmp

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_install -s --sourcedir=debian/tmp

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:

# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs  -i
	dh_installdocs -i
	dh_strip -i
	dh_compress  -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs  -a
	dh_installdocs -a
	dh_strip -Ndhtest1 -Ndhtest2-extra -a
	dh_strip -pdhtest1 --keep-debug
	install -d debian/dhtest1-dbg/usr/lib/
	mv debian/dhtest1/usr/lib/debug debian/dhtest1-dbg/usr/lib/
	dh_compress  -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

=== tests/dhtest.pydbg/debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	$(MAKE)
	touch build-arch-stamp

build-indep:

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp
	-$(MAKE) clean
	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i
	dh_install -i --sourcedir=debian/tmp

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_install -s --sourcedir=debian/tmp

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:

# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs  -i
	dh_installdocs -i
	dh_strip -i
	dh_compress  -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs  -a
	dh_installdocs -a
	dh_strip -a
	dh_compress  -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

=== tests/dhtest.versionoverride/debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

#Architecture 
build: build-arch

build-arch: build-arch-stamp
build-arch-stamp:
	$(MAKE)
	touch build-arch-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp
	-$(MAKE) clean
	dh_clean 

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_install -s --sourcedir=debian/tmp

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
	dh_strip -a
	dh_compress  -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -pdhtest1
	dh_gencontrol -pdhtest2 -- -v1:42
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

=== tests/dhtest.compat1/debian/control ===
Source: dhtest.compat1
Section: utils
Priority: extra
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Build-Depends: debhelper (>= 4.1.0)
Standards-Version: 3.7.2

Package: dhtest1
Architecture: any
Depends: ${shlibs:Depends}
Description: crash with a SIGSEGV
 Test package

Package: dhtest2
Architecture: any
Depends: ${shlibs:Depends}
Description: crash with a SIGFPE
 Test package

Package: dhtestall
Architecture: all
Depends: ${shlibs:Depends}
Description: dummy arch-all package
 Test package

=== tests/dhtest.compatenvvar/debian/control ===
Source: dhtest.compatenvvar
Section: utils
Priority: extra
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Build-Depends: debhelper (>= 4.1.0)
Standards-Version: 3.7.2

Package: dhtest1
Architecture: any
Depends: ${shlibs:Depends}
Description: crash with a SIGSEGV
 Test package

=== tests/dhtest.customdbgsym/debian/control ===
Source: dhtest.customdbgsym
Section: utils
Priority: extra
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Build-Depends: debhelper (>= 4.1.0)
Standards-Version: 3.7.2

Package: dhtest1
Architecture: any
Depends: ${shlibs:Depends}
Description: crash with a SIGFPE
 Test package

Package: dhtest1-dbgsym
Architecture: any
Depends: dhtest1 (= ${binary:Version})
Description: debug symbols for package dhtest1
 Test package (custom debug symbols)

=== tests/dhtest.dbg2/debian/control ===
Source: dhtest.dbg2
Section: utils
Priority: extra
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Build-Depends: debhelper (>= 4.1.0)
Standards-Version: 3.7.2

Package: dhtest1
Architecture: any
Depends: ${shlibs:Depends}
Description: crash with a SIGSEGV
 Test package

Package: dhtest1-dbg
Architecture: any
Depends: dhtest1 (= ${Source-Version})
Description: crash with a SIGSEGV (debug symbols)
 Test package (debug symbols)

Package: dhtest2
Architecture: any
Depends: ${shlibs:Depends}
Description: crash with a SIGFPE
 Test package

Package: dhtest2-extra
Architecture: any
Depends: ${shlibs:Depends}
Description: crash with a SIGSEGV -- extra stuff
 Test package

Package: dhtestall
Architecture: all
Depends: ${shlibs:Depends}
Description: dummy arch-all package
 Test package

=== tests/dhtest.noargs/debian/control ===
Source: dhtest.noargs
Section: utils
Priority: extra
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Build-Depends: debhelper (>= 4.1.0)
Standards-Version: 3.7.2

Package: dhtest1
Architecture: any
Pre-Depends: coreutils (>= 1)
Depends: ${shlibs:Depends}
Suggests: foo (<< 1),
 bar (>= 0), baz,
 zip
Description: crash with a SIGSEGV
 Test package

Package: dhtest2
Architecture: any
Depends: ${shlibs:Depends}
Description: crash with a SIGFPE
 Test package

Package: dhtestall
Architecture: all
Depends: ${shlibs:Depends}
Description: dummy arch-all package
 Test package

=== tests/dhtest.substvars/debian/control ===
Source: dhtest.substvars
Section: utils
Priority: extra
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Build-Depends: debhelper (>= 4.1.0)
Standards-Version: 3.7.2

Package: dhtest1
Architecture: any
Description: ${package:Description}
Section: libdevel
Depends: ${shlibs:Depends}, 
# foo,
 bash,
 coreutils (>> ${foo})
Recommends: dhtest2 (>> ${foo})
Suggests: dhtestall (>= ${foo}), ${bar}-core
Conflicts: dhtestall (<< ${foo})
Breaks: dhtestall (<< ${foo})
Replaces: dhtestall (<< ${foo})

Package:dhtest2
Architecture:   any
Description: crash with a SIGFPE
 Test package
Depends: ${shlibs:Depends},
	coreutils,
	bash

Package: dhtestall
Architecture: all
Depends: ${shlibs:Depends}
Description: dummy arch-all package
 Test package
Pre-Depends: coreutils,
 bash,
	findutils

=== tests/dhtest.whitespace/debian/control ===
Source: dhtest.whitespace
Section: utils
Priority: extra
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Build-Depends: debhelper (>= 4.1.0)
Standards-Version: 3.7.2

Package: dhtest1
Architecture: any
Description: crash with a SIGSEGV
 Test package
Section: libdevel
Depends: ${shlibs:Depends}, 
# foo,
 bash,
 coreutils (>> ${foo})
Recommends: dhtest2 (>> ${foo})
Suggests: dhtestall (>= ${foo}), ${bar}-core
Conflicts: dhtestall (<< ${foo})
Breaks: dhtestall (<< ${foo})
Replaces: dhtestall (<< ${foo})

Package:dhtest2
Architecture:   any
Description: crash with a SIGFPE
 Test package
Depends: ${shlibs:Depends},
	coreutils,
	bash

Package: dhtestall
Architecture: all
Depends: ${shlibs:Depends}
Description: dummy arch-all package
 Test package
Pre-Depends: coreutils,
 bash,
	findutils

=== tests/dhtest/debian/control ===
Source: dhtest
Section: utils
Priority: extra
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Build-Depends: debhelper (>= 4.1.0)
Standards-Version: 3.7.2

Package: dhtest1
Architecture: any
Depends: ${shlibs:Depends}, coreutils (>> ${foo})
Recommends: dhtest2 (>> ${foo})
Suggests: dhtestall (>= ${foo}), ${bar}-core
Conflicts: dhtestall (<< ${foo})
Replaces: dhtestall (<< ${foo})
Breaks: dhtestall (<< ${foo})
Enhances: coreutils
Multi-Arch: same
Description: crash with a SIGSEGV
 Test package

Package: dhtest2
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}
Description: crash with a SIGFPE
 Test package

Package: dhtestall
Architecture: all
Depends: ${shlibs:Depends}
Description: dummy arch-all package
 Test package

## pkg-create-dbgsym 0.67~utopic

=== debian/changelog ===
pkg-create-dbgsym (0.67~utopic) utopic; urgency=medium

  * Backport to utopic.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 30 Apr 2015 16:12:16 +0200

## pkg-create-dbgsym 0.69

=== debian/changelog ===
pkg-create-dbgsym (0.69) wily; urgency=medium

  * dh_gencontrol: Don't use a nonexisting binary package version for the
    .changes file either.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 01 Jun 2015 15:00:16 +0200

pkg-create-dbgsym (0.68) wily; urgency=medium

  * dh_gencontrol: If the binary package's DEBIAN/control does not exist, skip
    the binary package version adjustment instead of setting an empty
    Version:. This fixes the FTBFS of cpl-plugin-* which have
    "override_dh_gencontrol-indep:" without calling dh_gencontrol with "-i".
    (LP: #1457038)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 01 Jun 2015 13:39:22 +0200
